| Version: 3.1.5

Public Types | Public Member Functions | List of all members
wxPGAttributeStorage Class Reference

`#include </home/Hamis/wxwidgets-3.1/wxWidgets3.1-3.1.5-1.i686/src/wxWidgets-3.1.5/interface/wx/propgrid/property.h>`

## Detailed Description

wxPGAttributeStorage is somewhat optimized storage for key=variant pairs (i.e.

a map).

## Public Types
typedef wxPGHashMapS2P::const_iterator | const_iterator

## Public Member Functions
| wxPGAttributeStorage ()
| ~wxPGAttributeStorage ()
void | Set (const wxString &name, const wxVariant &value)
unsigned int | GetCount () const
wxVariant | FindValue (const wxString &name) const
const_iterator | StartIteration () const
bool | GetNext (const_iterator &it, wxVariant &variant) const

## Member Typedef Documentation

## ◆ const_iterator

typedef wxPGHashMapS2P::const_iterator wxPGAttributeStorage::const_iterator

## Constructor & Destructor Documentation

## ◆ wxPGAttributeStorage()

wxPGAttributeStorage::wxPGAttributeStorage | ( |  | ) |

## ◆ ~wxPGAttributeStorage()

wxPGAttributeStorage::~wxPGAttributeStorage | ( |  | ) |

## Member Function Documentation

## ◆ FindValue()

wxVariant wxPGAttributeStorage::FindValue | ( | const wxString & | name | ) | const

## ◆ GetCount()

unsigned int wxPGAttributeStorage::GetCount | ( |  | ) | const

## ◆ GetNext()

bool wxPGAttributeStorage::GetNext | ( | const_iterator & | it,
|  | wxVariant & | variant
| ) |  | const

## ◆ Set()

void wxPGAttributeStorage::Set | ( | const wxString & | name,
|  | const wxVariant & | value
| ) |  |

## ◆ StartIteration()

const_iterator wxPGAttributeStorage::StartIteration | ( |  | ) | const